javax.security.auth.message.config

## Interface ClientAuthConfig

- All Superinterfaces:
    AuthConfig

      public interface ClientAuthConfig
      extends AuthConfig

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientAuthContext` | `getAuthContext(java.lang.String authContextID, javax.security.auth.Subject clientSubject, java.util.Map properties)`

    - ### Methods inherited from interface javax.security.auth.message.config.AuthConfig

      `getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

- - ### Method Detail

    - #### getAuthContext

          ClientAuthContext getAuthContext(java.lang.String authContextID,
                                         javax.security.auth.Subject clientSubject,
                                         java.util.Map properties)
                                           throws AuthException

      Throws:
        `AuthException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.